﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3054: (1 year) VER VISA /9500+4Hd
DATE:                  2010-08-03 14:27:54
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       250
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3054
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000 Ethernet Interface Connection
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test VISA
#        Sub Tek TDS3000 Signal Path Compensation Cal VISA
#        Sub Tek TDS3000 (1 yr) DCV VISA /9500
#        Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600
#        Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600
#        Sub Tek TDS3000 (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix TDS3EM Communication Module (for Ethernet port)
#
# The procedure was tested using:
#        Model No  : TDS 3054
#        Serial No : b019431
#        Options   : None
#        Firmware  : 2.21
#
# Average run time during testing : 20 mins
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3.38"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  TARGET
  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  CALL         Sub Tek TDS3000 Ethernet Interface Connection
  1.024  JMPL         END                              @Abort

  1.025  VISA         *RST

  1.026  HEAD         UUT IDENTIFICATION
  1.027  CALL         Sub IEEE-488.2 Identification Query VISA

  1.028  MATH         @UUT_Manufacturer = "Tektronix"
  1.029  MATH         @UUT_Model        = "TDS 3054"
  1.030  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek TDS3000 Check Firmware Version
  1.033  JMPL         END                           @Abort

  1.034  CALL         Sub Datron 9500 Configuration Query IEEE

  1.035  MATH         L[1] = (@HeadTypeCh1 == "9560")
  1.036  MATH         L[1] = L[1] + (@HeadTypeCh2 == "9560")
  1.037  MATH         L[1] = L[1] + (@HeadTypeCh3 == "9560")
  1.038  MATH         L[1] = L[1] + (@HeadTypeCh4 == "9560")

  1.039  IF           L[1] > 0

  1.040  HEAD         EQUIPMENT REQUIREMENTS
  1.041  OPBR         -z Do you want to REVIEW the list of additional
  1.041  OPBR         equipment and/or accessories required?

  1.042  IF           MEM1
  1.043  DISP         - Adapter SMA(f)-BNC(m) ([L1] ea. for 9560 Active Heads)
  1.044  ENDIF

  1.045  ENDIF

  1.046  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.047  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.048  JMPL         END                           @Abort

  1.049  CALL         Sub Tek TDS3000 Self-Test VISA
  1.050  JMPL         END                           @Abort

  1.051  IF           @HeadTypeCh1 == "9560"
  1.052  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.053  ELSE
  1.054  MATH         Ch1Adapter = ""
  1.055  ENDIF

  1.056  IF           @HeadTypeCh2 == "9560"
  1.057  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.058  ELSE
  1.059  MATH         Ch2Adapter = ""
  1.060  ENDIF

  1.061  IF           @HeadTypeCh3 == "9560"
  1.062  MATH         Ch3Adapter = " via SMA(f)-BNC(m) adapter"
  1.063  ELSE
  1.064  MATH         Ch3Adapter = ""
  1.065  ENDIF

  1.066  IF           @HeadTypeCh4 == "9560"
  1.067  MATH         Ch4Adapter = " via SMA(f)-BNC(m) adapter"
  1.068  ELSE
  1.069  MATH         Ch4Adapter = ""
  1.070  ENDIF

  1.071  DISP         Connect the 9500 to the UUT as follows:
  1.071  DISP
  1.071  DISP         CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.071  DISP         CH 2 Active Head to UUT CH 2[V Ch2Adapter].
  1.071  DISP         CH 3 Active Head to UUT CH 3[V Ch3Adapter].
  1.071  DISP         CH 4 Active Head to UUT CH 4[V Ch4Adapter].

  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1
  1.074  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /9500

  1.075  MATH         @Chan = 2
  1.076  M9500                       CH2
  1.077  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /9500

  1.078  MATH         @Chan = 3
  1.079  M9500                       CH3
  1.080  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /9500

  1.081  MATH         @Chan = 4
  1.082  M9500                       CH4
  1.083  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /9500

  1.084  MATH         @Chan = 1
  1.085  M9500                       CH1
  1.086  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600

  1.087  MATH         @Chan = 2
  1.088  M9500                       CH2
  1.089  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600

  1.090  MATH         @Chan = 3
  1.091  M9500                       CH3
  1.092  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600

  1.093  MATH         @Chan = 4
  1.094  M9500                       CH4
  1.095  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /9500/600

  1.096  MATH         @Chan = 1
  1.097  M9500                       CH1
  1.098  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600

  1.099  MATH         @Chan = 2
  1.100  M9500                       CH2
  1.101  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600

  1.102  MATH         @Chan = 3
  1.103  M9500                       CH3
  1.104  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600

  1.105  MATH         @Chan = 4
  1.106  M9500                       CH4
  1.107  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /9500/600

  1.108  MATH         @Chan = 1
  1.109  M9500                       CH1
  1.110  CALL         Sub Tek TDS3000 (1 yr) Sample Rate VISA /9500

  1.111  LABEL        END
  1.112  HEAD         -2

  1.113  IF           @Abort
  1.114  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.115  ELSE
  1.116  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.117  ENDIF

  1.118  END
